version: '3'
volumes:
     postgresql_data:
     sonarqube_bundled-plugins:
     sonarqube_conf:
     sonarqube_data:
     sonarqube_db:
     sonarqube_extensions:
services:
   sonarqube:
     depends_on:
       - db
     image: sonarqube
     restart: unless-stopped
     environment:
       - SONARQUBE_JDBC_USERNAME=sonarqube
       - SONARQUBE_JDBC_PASSWORD=sonarpass
       - SONARQUBE_JDBC_URL=jdbc:postgresql://db:5432/sonarqube
     ports:
       - "9000:9000"
       - "9092:9092"
     volumes:
       - sonarqube_conf:/opt/sonarqube/conf
       - sonarqube_data:/opt/sonarqube/data
       - sonarqube_extensions:/opt/sonarqube/extensions
       - sonarqube_bundled-plugins:/opt/sonarqube/lib/bundled-plugins
   db:
     image: postgres
     restart: unless-stopped
     environment:
       - POSTGRES_USER=sonarqube
       - POSTGRES_PASSWORD=sonarpass
       - POSTGRES_DB=sonarqube
     ports:
       - "5432:5432"
     volumes:
       - sonarqube_db:/var/lib/postgresql
       - postgresql_data:/var/lib/postgresql/data

